<div class="datepicker__group datepicker__group--icon">
  <label *ngIf="mbLabelText != null" class="input__label" [innerHTML]="mbLabelText"></label>
  <div [class]="inputGroupGroupClass">
    <em *ngIf="mbDatePickerIcon != null" nz-icon [nzType]="mbDatePickerIcon" nzTheme="outline"></em>
    <div style='display: flex; gap: 20px;'>
      <nz-date-picker maskDate nzAllowClear [nzBackdrop]="true"
                      [nzAutoFocus]="mbAutofocus" [nzDisabled]="mbDisabled" [nzInputReadOnly]="mbInputReadOnly"
                      [nzMode]="mbMode" [nzPlaceHolder]="mbPlaceholderFromdate ?? '---Từ ngày---'" [nzSuffixIcon]="mbSuffixIcon"
                      [nzInline]="mbInline"
                      [(ngModel)]="value[0]" [nzShowToday]="mbShowToday"
                      [nzShowTime]="mbShowTime"
                      [nzDisabledTime]="mbDisabledTime" [nzDateRender]="mbDateRender"
                      [nzRenderExtraFooter]="mbRenderExtraFooter"
                      (nzOnOpenChange)="openChange($event, 'START')" (nzOnOk)="onOk($event, 'START')"
                      (ngModelChange)="onInputChange($event, 'START')"></nz-date-picker>

      <nz-date-picker maskDate nzAllowClear [nzBackdrop]="true"
                      [nzAutoFocus]="mbAutofocus" [nzDisabled]="mbDisabled" [nzInputReadOnly]="mbInputReadOnly"
                      [nzMode]="mbMode" [nzPlaceHolder]="mbPlaceholderTodate ?? '--Đến ngày--'" [nzSuffixIcon]="mbSuffixIcon"
                      [nzInline]="mbInline"
                       [(ngModel)]="value[1]" [nzShowToday]="mbShowToday"
                      [nzShowTime]="mbShowTime"
                      [nzDisabledTime]="mbDisabledTime" [nzDateRender]="mbDateRender"
                      [nzRenderExtraFooter]="mbRenderExtraFooter"
                      (nzOnOpenChange)="openChange($event, 'END')" (nzOnOk)="onOk($event, 'END')"
                      (ngModelChange)="onInputChange($event, 'END')"></nz-date-picker>
    </div>
  </div>
  <div *ngIf="textMessageValue != null && mbShowError" [class]="inputMessageClass">
    <em *ngIf="mbShowIconMessage" nz-icon [nzType]="iconType" nzTheme="outline"></em>
    <span class="text__message">{{textMessageValue}}</span>
  </div>
</div>
